import React from 'react';
import logo from './logo.svg';
import './App.css';

function App() {
    return (
        <div className='app'>
            <header>
                <h1>Squad Composer</h1>
            </header>
            <main className='editor'>
                <aside className='mech-picker'>
                    <h2>Mech picker</h2>
                    <ul>
                        <li>Mech 1</li>
                        <li>Mech 2</li>
                        <li>Mech 3</li>
                        <li>Mech 4</li>
                        <li>Mech 5</li>
                        <li>Mech 6</li>
                        <li>Mech 7</li>
                        <li>Mech 8</li>
                        <li>Mech 9</li>
                        <li>Mech 10</li>
                        <li>Mech 11</li>
                        <li>Mech 12</li>
                        <li>Mech 13</li>
                        <li>Mech 14</li>
                    </ul>
                </aside>

                <article className='custom-squad'>
                    <h2>Custom squad</h2>
                    <div className='mech-members'>
                        <div className='mech-member'>
                            <h3>Mech 1</h3>
                            <div className='mech-description'>
                                <img src={logo} alt='Mech picture'/>
                                <ul className='mech-stats'>
                                    <li>Stat1 = Prime</li>
                                    <li>Stat2 = 3</li>
                                </ul>
                            </div>
                            <button>Remove</button>
                        </div>
                        <div className='mech-member'>
                            <h3>Mech 2</h3>
                            <div className='mech-description'>
                                <img src={logo} alt='Mech picture'/>
                                <ul className='mech-stats'>
                                    <li>Stat1 = Prime</li>
                                    <li>Stat2 = 3</li>
                                </ul>
                            </div>
                            <button>Remove</button>
                        </div>
                        <div className='mech-member'>
                            <h3>Mech 3</h3>
                            <div className='mech-description'>
                                <img src={logo} alt='Mech picture'/>
                                <ul className='mech-stats'>
                                    <li>Stat1 = Prime</li>
                                    <li>Stat2 = 3</li>
                                </ul>
                            </div>
                            <button>Remove</button>
                        </div>
                    </div>
                    <div className='squad-description'>
                        <label htmlFor='squad-description-field-id'>Squad description</label>
                        <textarea id='squad-description-field-id'>
                            Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
                        </textarea>
                    </div>
                </article>

            </main>
            <footer>Squad Composer by DricomDragon</footer>
        </div>
    );
}

export default App;
